# Report files with TODAY's date (DOS/GAWK version)
#    usage:   gawk -f chkdat.awk
#
# TP 5.4.96
#
BEGIN {
  flag = 1

  "echo. | date" | getline d; 
  "echo. | date" | getline dmask; 
  gsub("-"," ", d);  split(d, date, " ");
  cyy = substr(date[5],3,2); #
  cmm = date[6];  cdd = date[7];
  
  while ("dir\\/s" | getline) {
    if ($1 == "Directory") {cdir = $3} else {
      if ($0 !~ /^ / && NF > 2) {
        yy = substr($(NF-1),1,2);
        mm = substr($(NF-1),4,2);
        dd = substr($(NF-1),7,2);
        if (yy == cyy && cmm == mm && cdd == dd) { print cdir "\\" $0; flag = 0 }
      }
    }
  }
  if (flag) {print "No today's files" }
  
}
