# Unbundle.awk (MS-DOS version)
#    usage:  gawk -f unbundle.awk
# 
# unbundles files bundled by _bundle.awk_ script to file which
# name is defined by _bundlefile_ variable (see below)
#
# Author: TP (5.4.96)
#
BEGIN { stdio = "con" # stdio for DOS
        seplineb = "<<<<<<<<<<<<<<<<<<<<";
        seplinee = ">>>>>>>>>>>>>>>>>>>>";
        bundlefile = "BUNDLE.TXT";
        dircontents = ":";

   
   # get the contents of the current directory--

   while (("dir/b *.*" | getline) > 0) { dircontents = dircontents $0 ":"; }
   
   while ( (getline < bundlefile )  > 0) {
      if ( $2 == "STARTBUNDLEDATA") { break; }
   }

   while ( (getline < bundlefile )  > 0) {
        if ( $1 == seplinee && $3 == seplinee && $2 == "ENDBUNDLEDATA") { break; }
        
        if ( $1 == seplineb) { 
           fname = $2;  xfname = ":" $2 ":"; 
           print "Unbundling", fname >> stdio;
           if (match (dircontents, xfname) > 0 && fname !="UNBUNDLE.AWK") {
               print "\nFile", fname, "already exist, quitting...";
               print "Try unpack", bundlefile, "in an empty dir!";
               exit;
           }
        } 
        else { 
           if ( $1 == seplinee) { close (fname)} 
           else {
              print $0 > fname;
           }
        }
  }
}
           
